from pydantic import BaseModel, Field
from typing import List, Optional, Literal

class UpdateModelPriceRequest(BaseModel):
    id: str
    product: Optional[str] = None
    provider: Optional[str] = None
    type: Optional[str] = None
    billingBy: Optional[str] = None
    billingUnit: Optional[int] = None
    currency: Optional[str] = None
    price: Optional[str] = None
    clientPrice: Optional[str] = None

    class Config:
        extra = "forbid"